'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _style = require('styled-jsx/style');

var _style2 = _interopRequireDefault(_style);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _CSSTransition = require('react-transition-group/CSSTransition');

var _CSSTransition2 = _interopRequireDefault(_CSSTransition);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var RTGCSSTransitionFade = function RTGCSSTransitionFade(_ref) {
	var inProp = _ref.in,
	    onClick = _ref.onClick,
	    className = _ref.className,
	    children = _ref.children,
	    unmountOnExit = _ref.unmountOnExit,
	    mountOnEnter = _ref.mountOnEnter,
	    duration = _ref.transitionOptions.duration,
	    otherProps = (0, _objectWithoutProperties3.default)(_ref, ['in', 'onClick', 'className', 'children', 'unmountOnExit', 'mountOnEnter', 'transitionOptions']);
	return _react2.default.createElement(
		_CSSTransition2.default,
		{
			'in': inProp,
			timeout: duration,
			classNames: 'rtgfade',
			unmountOnExit: unmountOnExit,
			mountOnEnter: mountOnEnter
		},
		function (state) {
			return _react2.default.createElement(
				'div',
				(0, _extends3.default)({ onClick: onClick }, otherProps, {
					className: _style2.default.dynamic([['1119072299', [duration, duration]]]) + ' ' + (otherProps.className != null && otherProps.className || className || '')
				}),
				_react2.default.createElement(_style2.default, {
					styleId: '1119072299',
					css: '.rtgfade-enter.__jsx-style-dynamic-selector{opacity:0.01;}.rtgfade-enter-active.__jsx-style-dynamic-selector{opacity:1;-webkit-transition:all ms ease-out;transition:all ms ease-out;}.rtgfade-exit.__jsx-style-dynamic-selector{opacity:1;}.rtgfade-exit-active.__jsx-style-dynamic-selector{opacity:0.01;-webkit-transition:all ms ease-out;transition:all ms ease-out;}',
					dynamic: [duration, duration]
				}),
				children
			);
		}
	);
};
RTGCSSTransitionFade.defaultProps = {
	onClick: function onClick() {
		return console.log('RTGCSSTransitionFade: onClick');
	},
	transitionOptions: {
		duration: 300
	},
	unmountOnExit: true,
	mountOnEnter: false
};

exports.default = RTGCSSTransitionFade;